#include <exec/types.h>

#include <libraries/bgui.h>
#include <libraries/bgui_macros.h>

#include <proto/bgui.h>

/// myButton()
Object *myButton(char *label, LONG id, char *Tip, BOOL Enabled)
{
   Object *obj;

   obj = BGUI_NewObject(BGUI_BUTTON_GADGET,  LAB_Label,     label,
                                       GA_ID,         id,
                                       BT_ToolTip,    Tip,
                                       GA_Disabled,   (Enabled?FALSE:TRUE),
                                       ButtonFrame,
                                       TAG_END);

   return(obj);
}
//-
/*
/// myText()
Object *myText(char *label, char *contents, char *tip)
{
   Object *obj;

   obj = BGUI_NewObject(BGUI_INFO_GADGET, LAB_Label, label,
                                          ButtonFrame, FRM_Flags, FRF_RECESSED,
                                          INFO_TextFormat, contents,
                                          BT_ToolTip, tip,
                                          TAG_END);
   return(obj);
}
//-
*/
